Blooio API Reference
Phone Numbers

Batch look up phone numbers

Look up multiple phone numbers in a single request. Returns the same detailed information as the single lookup endpoint for each number. Maximum 100 numbers per request.

Requires an Enterprise plan (Dedicated Enterprise).

POST
/phone-numbers/batch

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://backend.blooio.com/v2/api/phone-numbers/batch" \  -H "Content-Type: application/json" \  -d '{    "numbers": [      "+12125551234",      "+14155551234",      "+18582849901"    ]  }'
{
  "results": [
    {
      "input": "+12125551234",
      "valid": true,
      "possible": true,
      "e164": "+12125551234",
      "national": "(212) 555-1234",
      "international": "+1 212 555 1234",
      "country_calling_code": "1",
      "country": "US",
      "national_number": "2125551234",
      "type": "FIXED_LINE_OR_MOBILE",
      "location": {
        "city": "New York",
        "region": "NY",
        "region_name": "New York"
      },
      "area_code": "212",
      "exchange": "555",
      "area_code_region": "New York, NY"
    }
  ]
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}